## barman 1.6.1

=== doc/Makefile ===
MANPAGES=barman.1 barman.5
DOCS=barman-tutorial.en.pdf barman-tutorial.en.html

all: $(MANPAGES) $(DOCS)

barman-tutorial.en.pdf: barman-tutorial.en.md
	pandoc $< -o $@ -s -f markdown

barman-tutorial.en.html: barman-tutorial.en.md
	pandoc -o $@ -t html5 -f markdown -s -S --toc $<

barman.1: barman.1.md
	pandoc -s -t man -o $@ $<

barman.5: barman.5.md
	pandoc -s -t man -o $@ $<

clean:
	    rm -f $(MANPAGES) $(DOCS)

help:
	    @echo "Usage:"
	    @echo "    $$ make"

.PHONY: all clean help

## barman 1.0.0

=== debian/changelog ===
barman (1.0.0-2) unstable; urgency=low

  * Check for existence of barman system user instead of postgres user.
    Thanks to Salvatore Bonaccorso <carnil@debian.org> (Closes: #689924)

 -- Marco Nenciarini <mnencia@debian.org>  Sun, 07 Oct 2012 23:42:38 +0200

barman (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #683486)

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 05 Oct 2012 16:50:15 +0200

=== debian/control ===
Source: barman
Section: database
Priority: extra
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 7), python (>= 2.6.6-3~), python-setuptools (>= 0.6b3~)
Standards-Version: 3.9.4.0
Homepage: http://www.pgbarman.org
Vcs-Git: git://git.debian.org/collab-maint/barman.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/barman.git;a=summary

Package: barman
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, adduser, rsync (>= 3.0.4~)
Recommends: openssh-server, openssh-client
Description: Backup and Recovery Manager for PostgreSQL
 Barman (backup and recovery manager) is an administration tool for
 disaster recovery of PostgreSQL servers written in Python.
 .
 It allows one to perform remote backups of multiple servers in business
 critical environments and help DBAs during the recovery phase.
 .
 Barman's most wanted features include backup catalogs, retention policies,
 remote recovery, archiving and compression of WAL files and backups.
 .
 Barman is written and maintained by PostgreSQL professionals 2ndQuadrant.

## barman 1.1.2

=== debian/changelog ===
barman (1.1.2-1) unstable; urgency=low

  * Imported Upstream version 1.1.2

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 05 Dec 2012 12:50:54 +0100

barman (1.1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1.1

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 19 Oct 2012 13:21:00 +0200

barman (1.1.0-1) unstable; urgency=low

  * New upstream version 1.1.0

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 15 Oct 2012 10:48:53 +0200

## barman 1.2.2

=== debian/changelog ===
barman (1.2.2-1) unstable; urgency=low

  * Imported Upstream version 1.2.2

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 25 Jun 2013 12:11:26 +0200

barman (1.2.1-1) unstable; urgency=low

  * Imported Upstream version 1.2.1
  * Canonicalize VCS-* field URI in debian/control
  * Add argcomplete to debian/pydist-overrides

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 18 Jun 2013 11:49:24 +0200

barman (1.2.0-1) unstable; urgency=low

  * Add support for build on Ubuntu Lucid (10.4)
  * Imported Upstream version 1.2.0

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 08 Feb 2013 17:31:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: database
 Priority: extra
 Maintainer: Marco Nenciarini <mnencia@debian.org>
-Build-Depends: debhelper (>= 7), python (>= 2.6.6-3~), python-setuptools (>= 0.6b3~)
+Build-Depends: debhelper (>= 7), python, python-setuptools (>= 0.6b3~)
 Standards-Version: 3.9.4.0
 Homepage: http://www.pgbarman.org
-Vcs-Git: git://git.debian.org/collab-maint/barman.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/barman.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/barman.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/barman.git;a=summary
 
 Package: barman
 Architecture: all

## barman 1.3.0

=== debian/changelog ===
barman (1.3.0-1) unstable; urgency=medium

  * Imported Upstream version 1.3.0
  * Bump Standards-Version to 3.9.5.0 (no changes)

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 03 Feb 2014 23:10:34 +0100

barman (1.2.3-1) unstable; urgency=low

  * Imported Upstream version 1.2.3

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 06 Sep 2013 10:59:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Marco Nenciarini <mnencia@debian.org>
 Build-Depends: debhelper (>= 7), python, python-setuptools (>= 0.6b3~)
-Standards-Version: 3.9.4.0
+Standards-Version: 3.9.5.0
 Homepage: http://www.pgbarman.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/barman.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/barman.git;a=summary

=== debian/watch ===
version=3
http://sf.net/pgbarman/barman-(.*)\.tar\.gz

## barman 1.3.2

=== debian/changelog ===
barman (1.3.2-1.pgdg10.4+1) lucid-pgdg; urgency=low

  * Rebuild for lucid-pgdg (jenkins-barman-source-distribution=lucid-23,
    git revision f405a7dfe5605fd28a323460dac676a8f15791b8)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 15 Apr 2014 18:49:59 +0200

barman (1.3.2-1) unstable; urgency=medium

  * Imported Upstream version 1.3.2

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 15 Apr 2014 18:28:14 +0200

barman (1.3.1-1) unstable; urgency=medium

  * Imported Upstream version 1.3.1

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 11 Apr 2014 12:17:14 +0200

## barman 1.3.3

=== debian/changelog ===
barman (1.3.3-1) unstable; urgency=medium

  * Imported Upstream version 1.3.3

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 18 Aug 2014 16:51:02 +0200

barman (1.3.3~alpha.1-1) experimental; urgency=medium

  * Imported Upstream version 1.3.3~alpha.1

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 23 Jul 2014 18:50:31 +0200

## barman 1.4.0

=== debian/changelog ===
barman (1.4.0-1) unstable; urgency=medium

  * Imported Upstream version 1.4.0

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 23 Jan 2015 17:08:36 +0100

barman (1.4.0~alpha.1-1) unstable; urgency=medium

  * Update watchfile to mangle pre releases
  * Imported Upstream version 1.4.0~alpha.1
    + Closes: #768296 Missing pg_ident.conf is treated as hard failure
  * Bump Standards-Version to 3.9.6.0 (no changes)

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 12 Jan 2015 16:20:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Marco Nenciarini <mnencia@debian.org>
 Build-Depends: debhelper (>= 7), python, python-setuptools (>= 0.6b3~)
-Standards-Version: 3.9.5.0
+Standards-Version: 3.9.6.0
 Homepage: http://www.pgbarman.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/barman.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/barman.git;a=summary

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
http://sf.net/pgbarman/barman-(.*)\.tar\.gz

## barman 1.4.1

=== debian/changelog ===
barman (1.4.1-1) unstable; urgency=medium

  * Updated package description
  * debian/watch: update watch file to use the cheeseshop as source.
  * Imported Upstream version 1.4.1

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 05 May 2015 12:04:52 +0200

## barman 1.5.1

=== debian/changelog ===
barman (1.5.1-1) unstable; urgency=medium

  * Imported Upstream version 1.5.1
  * Install barman-wal-restore script in the example directory

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 16 Nov 2015 12:20:14 +0100

barman (1.5.0-1) unstable; urgency=medium

  * Imported Upstream version 1.5.0

 -- Marco Nenciarini <mnencia@debian.org>  Sat, 26 Sep 2015 17:10:33 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
  It allows one to perform remote backups of multiple servers in business
  critical environments and help DBAs during the recovery phase.
  .
- Barman's most wanted features include backup catalogs, retention policies,
- remote recovery, archiving and compression of WAL files and backups.
+ Barman's most requested features include backup catalogues,
+ incremental backup, retention policies, remote backup and recovery,
+ archiving and compression of WAL files and backups.
  .
  Barman is written and maintained by PostgreSQL professionals 2ndQuadrant.

## barman 1.6.1

=== debian/changelog ===
barman (1.6.1-1) unstable; urgency=medium

  * Imported Upstream version 1.6.1
  * Bump Standards-Version to 3.9.8.0 (no changes)

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 20 May 2016 17:52:00 +0200

barman (1.6.0-1) unstable; urgency=medium

  * Imported Upstream version 1.6.0
  * Use HTTPS protocol in Vcs-Browser URI inside debian/control file

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 26 Feb 2016 17:48:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Marco Nenciarini <mnencia@debian.org>
 Build-Depends: debhelper (>= 7), python, python-setuptools (>= 0.6b3~)
-Standards-Version: 3.9.6.0
+Standards-Version: 3.9.8.0
 Homepage: http://www.pgbarman.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/barman.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/barman.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/barman.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/barman.git;a=summary
 
 Package: barman
 Architecture: all

## barman 2.1

=== debian/changelog ===
barman (2.1-1) unstable; urgency=medium

  * New upstream version 2.1
  * The file README has been renamed to README.rst upstream

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 05 Jan 2017 15:25:27 +0100

barman (2.0-1) unstable; urgency=medium

  * New upstream version 2.0
  * Update package description
  * Create the /etc/barman.d directory
  * Remove barman-wal-restore.py from examples directory
  * Suggests barman-cli package, which contains barman-wal-restore
  * Add repmgr >= 3.2 to suggested packages
  * Recommends all the supported postgresql-client packages
  * Explicitly depends on dh-python

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 26 Sep 2016 19:17:27 +0200

=== debian/control ===
Source: barman
Section: database
Priority: extra
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 7), python, python-setuptools (>= 0.6b3~), dh-python
Standards-Version: 3.9.8.0
Homepage: http://www.pgbarman.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/barman.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/barman.git

Package: barman
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, adduser, rsync (>= 3.0.4~)
Recommends: openssh-server, openssh-client, postgresql-client | postgresql-client-9.6 | postgresql-client-9.5 | postgresql-client-9.4 | postgresql-client-9.3 | postgresql-client-9.2
Suggests: barman-cli, repmgr (>= 3.2.0)
Description: Backup and Recovery Manager for PostgreSQL
 Barman (Backup and Recovery Manager) is an open-source
 administration tool for disaster recovery of PostgreSQL
 servers written in Python.
 .
 It allows your organisation to perform remote backups of
 multiple servers in business critical environments to
 reduce risk and help DBAs during the recovery phase.
 .
 Barman is distributed under GNU GPL 3 and maintained
 by 2ndQuadrant.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/barman/barman-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## barman 2.2

=== debian/changelog ===
barman (2.2-1) unstable; urgency=medium

  * New upstream version 2.2

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 17 Jul 2017 14:53:26 +0200

## barman 2.3

=== doc/Makefile ===
MANPAGES=barman.1 barman.5
DOCS=
SUBDIRS=manual

.PHONY: all clean help subdirs $(SUBDIRS)

all: $(MANPAGES) $(DOCS) $(SUBDIRS)

barman.1: barman.1.md
	pandoc -s -t man -o $@ $<

barman.5: barman.5.md
	pandoc -s -t man -o $@ $<

clean:
	    rm -f $(MANPAGES) $(DOCS)
			for dir in $(SUBDIRS); do \
				$(MAKE) -C $$dir clean; \
			done

help:
	    @echo "Usage:"
	    @echo "    $$ make"

subdirs: $(SUBDIRS)

$(SUBDIRS):
			$(MAKE) -C $@

=== debian/changelog ===
barman (2.3-2) unstable; urgency=medium

  * Remove postgresql-client alternatives from Recommends field
  * Set debhelper compatibility level to 9
  * Bump Standards Version to 4.1.0.0 (no changes)

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 28 Sep 2017 10:49:00 +0200

barman (2.3-1) unstable; urgency=medium

  * debian/watch: enable cryptographic signature verification
  * New upstream version 2.3

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 05 Sep 2017 12:17:54 +0200

=== debian/control ===
Source: barman
Section: database
Priority: extra
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 9), python, python-setuptools (>= 0.6b3~), dh-python
Standards-Version: 4.1.0.0
Homepage: http://www.pgbarman.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/barman.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/barman.git

Package: barman
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, adduser, rsync (>= 3.0.4~)
Recommends: openssh-server, openssh-client, postgresql-client
Suggests: barman-cli, repmgr (>= 3.2.0)
Description: Backup and Recovery Manager for PostgreSQL
 Barman (Backup and Recovery Manager) is an open-source
 administration tool for disaster recovery of PostgreSQL
 servers written in Python.
 .
 It allows your organisation to perform remote backups of
 multiple servers in business critical environments to
 reduce risk and help DBAs during the recovery phase.
 .
 Barman is distributed under GNU GPL 3 and maintained
 by 2ndQuadrant.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/barman/barman-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## barman 2.4

=== debian/changelog ===
barman (2.4-1.pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-barman-source-distribution=wheezy-
    43, 9a263202743c514852b4ef565fd7aba2d4a9b9b0/git) Remove bash-
    completion support.

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Thu, 24 May 2018 09:52:25 +0200

barman (2.4-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Move packaging repository to salsa.debian.org

  [ Marco Nenciarini ]
  * New upstream version 2.4
  * Fix bash completion

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 24 May 2018 01:17:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: database
 Priority: extra
 Maintainer: Marco Nenciarini <mnencia@debian.org>
-Build-Depends: debhelper (>= 9), python, python-setuptools (>= 0.6b3~), dh-python
+Build-Depends: debhelper (>= 9), python, python-setuptools (>= 0.6b3~)
 Standards-Version: 4.1.0.0
 Homepage: http://www.pgbarman.org
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/barman.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/barman.git
+Vcs-Git: https://salsa.debian.org/postgresql/barman.git
+Vcs-Browser: https://salsa.debian.org/postgresql/barman
 
 Package: barman
 Architecture: all

## barman 2.6

=== doc/Makefile ===
MANPAGES=barman.1 barman.5
SUBDIRS=manual

# Detect the pandoc major version (1 or 2)
PANDOC_VERSION = $(shell pandoc --version | awk -F '[ .]+' '/^pandoc/{print $$2; exit}')
ifeq ($(PANDOC_VERSION),1)
	SMART = --smart
	NOSMART_SUFFIX =
else
	SMART =
	NOSMART_SUFFIX = -smart
endif

all: $(MANPAGES) $(SUBDIRS)

barman.1: $(sort $(wildcard barman.1.d/??-*.md))
	pandoc -s -f markdown$(NOSMART_SUFFIX) -t man -o $@ $^

barman.5: $(sort $(wildcard barman.5.d/??-*.md))
	pandoc -s -f markdown$(NOSMART_SUFFIX) -t man -o $@ $^

clean:
	rm -f $(MANPAGES)
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir clean; \
	done

help:
	@echo "Usage:"
	@echo "    $$ make"

subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

.PHONY: all clean help subdirs $(SUBDIRS)

=== doc/manual/Makefile ===
DOCS = barman-manual.en.pdf barman-manual.en.html

MDS = $(sort $(wildcard ??-*.en.md))

# Detect the pandoc major version (1 or 2)
PANDOC_VERSION = $(shell pandoc --version | awk -F '[ .]+' '/^pandoc/{print $$2; exit}')
ifeq ($(PANDOC_VERSION),1)
	SMART = --smart
	NOSMART_SUFFIX =
else
	SMART =
	NOSMART_SUFFIX = -smart
endif


all: $(DOCS)

barman-manual.en.pdf: $(MDS) ../images/*.png
	pandoc -o $@ -s -f markdown --toc $(SMART) $(MDS)

barman-manual.en.html: $(MDS) ../images/*.png
	pandoc -o $@ -s -f markdown --toc $(SMART) -t html5 $(MDS)

clean:
	    rm -f $(DOCS)

help:
	    @echo "Usage:"
	    @echo "    $$ make"

.PHONY: all clean help

=== debian/changelog ===
barman (2.6-1) unstable; urgency=medium

  * New upstream version 2.6
  * Bump Standards Version to 4.3.0 (no changes)

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 31 Jan 2019 19:27:28 +0100

barman (2.5-1) unstable; urgency=medium

  * New upstream version 2.5
  * Install upstream release notes in /usr/share/doc/barman/NEWS.gz
  * Bump Standards Version to 4.2.1 (no changes)
  * Change priority from extra to optional
  * Use HTTPS in debian/watch URI

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 23 Oct 2018 11:12:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: barman
 Section: database
-Priority: extra
+Priority: optional
 Maintainer: Marco Nenciarini <mnencia@debian.org>
-Build-Depends: debhelper (>= 9), python, python-setuptools (>= 0.6b3~)
-Standards-Version: 4.1.0.0
+Build-Depends: debhelper (>= 9), python, python-setuptools (>= 0.6b3~), dh-python, bash-completion
+Standards-Version: 4.3.0
 Homepage: http://www.pgbarman.org
 Vcs-Git: https://salsa.debian.org/postgresql/barman.git
 Vcs-Browser: https://salsa.debian.org/postgresql/barman

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,bash-completion

## barman 2.7

=== debian/changelog ===
barman (2.7-1) unstable; urgency=medium

  * New upstream version 2.7

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 20 Mar 2019 12:12:44 +0100

## barman 2.9

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MANPAGES=barman.1 barman.5
+MANPAGES=barman.1 barman.5 barman-wal-archive.1 barman-wal-restore.1
 SUBDIRS=manual
 
 # Detect the pandoc major version (1 or 2)
@@ -17,7 +17,13 @@
 	pandoc -s -f markdown$(NOSMART_SUFFIX) -t man -o $@ $^
 
 barman.5: $(sort $(wildcard barman.5.d/??-*.md))
-	pandoc -s -f markdown$(NOSMART_SUFFIX) -t man -o $@ $^
+	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $^
+
+barman-wal-archive.1: barman-wal-archive.1.md
+	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
+
+barman-wal-restore.1: barman-wal-restore.1.md
+	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
 
 clean:
 	rm -f $(MANPAGES)

=== debian/changelog ===
barman (2.9-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Add debian/gitlab-ci.yml.

  [ Marco Nenciarini ]
  * New upstream version 2.9

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 26 Jul 2019 18:56:45 +0200

barman (2.8-1) unstable; urgency=medium

  * New upstream version 2.8
  * Restructure packages
    - Add python3-barman and barman-cli binaries
    - Build with python3

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 14 May 2019 19:09:42 +0200

=== debian/control ===
Source: barman
Section: database
Priority: optional
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 9),
	       dh-python,
	       python3-all,
	       python3-setuptools (>= 0.6b3~),
	       bash-completion,
Standards-Version: 4.3.0
Homepage: http://www.pgbarman.org
Vcs-Git: https://salsa.debian.org/postgresql/barman.git
Vcs-Browser: https://salsa.debian.org/postgresql/barman

Package: barman
Architecture: all
Depends: python3-barman (=${binary:Version}),
	 python3-pkg-resources,
	 adduser,
	 rsync (>= 3.0.4~),
	 ${misc:Depends},
	 ${python3:Depends},
Recommends: openssh-server, openssh-client, postgresql-client
Suggests: barman-cli, repmgr
Description: Backup and Recovery Manager for PostgreSQL
 Barman (Backup and Recovery Manager) is an open-source
 administration tool for disaster recovery of PostgreSQL
 servers written in Python.
 .
 It allows your organization to perform remote backups of
 multiple servers in business critical environments to
 reduce risk and help DBAs during the recovery phase.
 .
 Barman is distributed under GNU GPL 3 and maintained
 by 2ndQuadrant.
 .
 This package provides barman binary.

Package: barman-cli
Architecture: all
Depends: python3-barman (=${binary:Version}),
	 python3-pkg-resources,
	 rsync (>= 3.0.4~),
	 ${misc:Depends},
	 ${python3:Depends},
Recommends: openssh-client
Description: Client utilities for the integration of Barman in PostgreSQL clusters
 Barman (Backup and Recovery Manager) is an open-source administration
 tool for disaster recovery of PostgreSQL servers written in Python.
 .
 It allows your organization to perform remote backups of multiple
 servers in business critical environments to reduce risk and help
 DBAs during the recovery phase.
 .
 The barman-cli package contains client utilities for the integration
 of Barman in PostgreSQL clusters.
 .
 Barman is distributed under GNU GPL 3 and maintained by 2ndQuadrant.


Package: python3-barman
Section: python
Architecture: all
Depends: ${misc:Depends},
	 ${python3:Depends},
Replaces: barman (<< 2.8~~), barman-cli (<< 2.8~~)
Breaks: barman (<< 2.8~~), barman-cli (<< 2.8~~)
Description: Backup and Recovery Manager for PostgreSQL - Python modules
 Barman (Backup and Recovery Manager) is an open-source
 administration tool for disaster recovery of PostgreSQL
 servers written in Python.
 .
 It allows your organization to perform remote backups of
 multiple servers in business critical environments to
 reduce risk and help DBAs during the recovery phase.
 .
 Barman is distributed under GNU GPL 3 and maintained
 by 2ndQuadrant.
 .
 This package provides Python 3 modules only.

## barman 2.10

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,8 @@
-MANPAGES=barman.1 barman.5 barman-wal-archive.1 barman-wal-restore.1
+MANPAGES=barman.1 barman.5 \
+		barman-wal-archive.1 barman-wal-restore.1 \
+    barman-cloud-backup.1 \
+    barman-cloud-wal-archive.1
+
 SUBDIRS=manual
 
 # Detect the pandoc major version (1 or 2)
@@ -17,12 +21,18 @@
 	pandoc -s -f markdown$(NOSMART_SUFFIX) -t man -o $@ $^
 
 barman.5: $(sort $(wildcard barman.5.d/??-*.md))
-	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $^
+	pandoc -s -f markdown$(NOSMART_SUFFIX) -t man -o $@ $^
 
 barman-wal-archive.1: barman-wal-archive.1.md
+	pandoc -s -f markdown$(NOSMART_SUFFIX) -t man -o $@ $<
+
+barman-wal-restore.1: barman-wal-restore.1.md
+	pandoc -s -f markdown$(NOSMART_SUFFIX) -t man -o $@ $<
+
+barman-cloud-backup.1: barman-cloud-backup.1.md
 	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
 
-barman-wal-restore.1: barman-wal-restore.1.md
+barman-cloud-wal-archive.1: barman-cloud-wal-archive.1.md
 	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
 
 clean:

=== debian/changelog ===
barman (2.10-2) unstable; urgency=medium

  * Add upstream patch no-connection-from-backupinfo.
    Prevent Barman from opening a PostgreSQL transaction that lasts until
    termination, even in operations that should not require to speak with
    Postgres (i.e. list-backup or recover).
    This fixes a regression introduced in 2.10 with systemid check code.

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 04 Dec 2019 18:34:59 +0100

barman (2.10-1) unstable; urgency=medium

  * New upstream version 2.10
  * Drop gh-239.patch patch (fixed upstream)
  * Bump Standards Version to 4.4.1 (no changes)
  * Recommend python3-boto3 with barman-cli

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 02 Dec 2019 12:44:04 +0100

barman (2.9-2) unstable; urgency=medium

  * Add patch fixing PostgreSQL connection aliveness check (GH-239)

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 21 Oct 2019 14:44:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	       python3-all,
 	       python3-setuptools (>= 0.6b3~),
 	       bash-completion,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://www.pgbarman.org
 Vcs-Git: https://salsa.debian.org/postgresql/barman.git
 Vcs-Browser: https://salsa.debian.org/postgresql/barman
@@ -43,7 +43,7 @@
 	 rsync (>= 3.0.4~),
 	 ${misc:Depends},
 	 ${python3:Depends},
-Recommends: openssh-client
+Recommends: openssh-client, python3-boto3
 Description: Client utilities for the integration of Barman in PostgreSQL clusters
  Barman (Backup and Recovery Manager) is an open-source administration
  tool for disaster recovery of PostgreSQL servers written in Python.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = barman

%:
	dh $@ --with python3,bash-completion --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

	mkdir -p $(CURDIR)/debian/barman/usr/bin $(CURDIR)/debian/barman/usr/share/man/man1 $(CURDIR)/debian/barman/usr/share/man/man5
	mv $(CURDIR)/debian/python3-barman/usr/bin/barman $(CURDIR)/debian/barman/usr/bin
	mv $(CURDIR)/debian/python3-barman/usr/share/man/man1/barman.1* $(CURDIR)/debian/barman/usr/share/man/man1
	mv $(CURDIR)/debian/python3-barman/usr/share/man/man5/barman.5* $(CURDIR)/debian/barman/usr/share/man/man5

	mkdir -p $(CURDIR)/debian/barman-cli/usr/share/man
	mv $(CURDIR)/debian/python3-barman/usr/bin $(CURDIR)/debian/barman-cli/usr
	mv $(CURDIR)/debian/python3-barman/usr/share/man/man1 $(CURDIR)/debian/barman-cli/usr/share/man
	# For the moment barman-cli do not have any man
	rmdir $(CURDIR)/debian/python3-barman/usr/share/man/man5
	rmdir $(CURDIR)/debian/python3-barman/usr/share/man

## barman 2.11

=== debian/changelog ===
barman (2.11-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.

  [ Marco Nenciarini ]
  * Mail from /etc/cron.d/barman are now delivered to root by default
    (Closes: #893569)
  * New upstream version 2.11
  * Remove patch no-connection-from-backupinfo
  * Split out barman-cli-cloud from barman-cli
  * Bump Standards Version to 4.5.0 (no changes)
  * Set debhelper compatibility level to 10

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 09 Jul 2020 13:18:47 +0200

## barman 2.12

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
 MANPAGES=barman.1 barman.5 \
 		barman-wal-archive.1 barman-wal-restore.1 \
     barman-cloud-backup.1 \
-    barman-cloud-wal-archive.1
+    barman-cloud-backup-list.1 \
+    barman-cloud-wal-archive.1 \
+    barman-cloud-restore.1 \
+    barman-cloud-wal-restore.1
 
 SUBDIRS=manual
 
@@ -32,7 +35,16 @@
 barman-cloud-backup.1: barman-cloud-backup.1.md
 	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
 
+barman-cloud-backup-list.1: barman-cloud-backup-list.1.md
+	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
+
+barman-cloud-restore.1: barman-cloud-restore.1.md
+	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
+
 barman-cloud-wal-archive.1: barman-cloud-wal-archive.1.md
+	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
+
+barman-cloud-wal-restore.1: barman-cloud-wal-restore.1.md
 	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
 
 clean:

=== debian/changelog ===
barman (2.12-2) unstable; urgency=medium

  * Team upload.
  * PG 13 expects wal_keep_size, not wal_keep_segments. (Closes: #990304)

 -- Christoph Berg <myon@debian.org>  Mon, 05 Jul 2021 17:59:18 +0200

barman (2.12-1) unstable; urgency=medium

  * New upstream version 2.12

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 04 Nov 2020 09:39:52 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: database
 Priority: optional
 Maintainer: Marco Nenciarini <mnencia@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
 	       dh-python,
 	       python3-all,
 	       python3-setuptools (>= 0.6b3~),
 	       bash-completion,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://www.pgbarman.org
 Vcs-Git: https://salsa.debian.org/postgresql/barman.git
 Vcs-Browser: https://salsa.debian.org/postgresql/barman
@@ -43,7 +43,7 @@
 	 rsync (>= 3.0.4~),
 	 ${misc:Depends},
 	 ${python3:Depends},
-Recommends: openssh-client, python3-boto3
+Recommends: openssh-client, barman-cli-cloud
 Description: Client utilities for the integration of Barman in PostgreSQL clusters
  Barman (Backup and Recovery Manager) is an open-source administration
  tool for disaster recovery of PostgreSQL servers written in Python.
@@ -57,6 +57,28 @@
  .
  Barman is distributed under GNU GPL 3 and maintained by 2ndQuadrant.
 
+Package: barman-cli-cloud
+Breaks: barman-cli (<< 2.10-3~~)
+Replaces: barman-cli (<< 2.10-3~~)
+Architecture: all
+Depends: python3-barman (=${binary:Version}),
+	 python3-pkg-resources,
+	 rsync (>= 3.0.4~),
+	 ${misc:Depends},
+	 ${python3:Depends},
+     python3-boto3
+Description: Cloud client utilities for the integration of Barman in PostgreSQL clusters
+ Barman (Backup and Recovery Manager) is an open-source administration
+ tool for disaster recovery of PostgreSQL servers written in Python.
+ .
+ It allows your organization to perform remote backups of multiple
+ servers in business critical environments to reduce risk and help
+ DBAs during the recovery phase.
+ .
+ The barman-cli-cloud package contains cloud client utilities for the
+ integration of Barman in PostgreSQL clusters.
+ .
+ Barman is distributed under GNU GPL 3 and maintained by 2ndQuadrant.
 
 Package: python3-barman
 Section: python

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/barman/barman-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## barman 2.13

=== debian/changelog ===
barman (2.13-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 26 Jul 2021 11:54:56 +0000

barman (2.13-1) unstable; urgency=medium

  * Update upstream signing-key to the new barman project leader
  * New upstream version 2.13
  * Drop pg13 wal_keep_size patch, included upstream

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 26 Jul 2021 11:54:56 +0000

## barman 2.17

=== debian/changelog ===
barman (2.17-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 01 Dec 2021 13:20:59 +0000

barman (2.17-1) unstable; urgency=medium

  * New upstream version 2.17

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 01 Dec 2021 13:20:59 +0000

barman (2.16-1) unstable; urgency=medium

  * Add Michel Didier to upstream signing-keys
  * New upstream version 2.16

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 30 Nov 2021 08:43:27 +0000

barman (2.15-1) unstable; urgency=medium

  * New upstream version 2.15
  * Add Michael Wallace to upstream signing-keys

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 21 Oct 2021 10:23:27 +0000

## barman 2.18

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
 MANPAGES=barman.1 barman.5 \
 		barman-wal-archive.1 barman-wal-restore.1 \
     barman-cloud-backup.1 \
+    barman-cloud-backup-delete.1 \
+    barman-cloud-backup-keep.1 \
     barman-cloud-backup-list.1 \
+    barman-cloud-check-wal-archive.1 \
     barman-cloud-wal-archive.1 \
     barman-cloud-restore.1 \
     barman-cloud-wal-restore.1
@@ -35,7 +38,16 @@
 barman-cloud-backup.1: barman-cloud-backup.1.md
 	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
 
+barman-cloud-backup-delete.1: barman-cloud-backup-delete.1.md
+	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
+
+barman-cloud-backup-keep.1: barman-cloud-backup-keep.1.md
+	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
+
 barman-cloud-backup-list.1: barman-cloud-backup-list.1.md
+	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
+
+barman-cloud-check-wal-archive.1: barman-cloud-check-wal-archive.1.md
 	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
 
 barman-cloud-restore.1: barman-cloud-restore.1.md

=== doc/manual/Makefile ===
--- 
+++ 
@@ -16,10 +16,10 @@
 all: $(DOCS)
 
 barman-manual.en.pdf: $(MDS) ../images/*.png
-	pandoc -o $@ -s -f markdown --toc $(SMART) $(MDS)
+	pandoc -o $@ -s -f markdown$(NOSMART_SUFFIX) --toc $(MDS)
 
 barman-manual.en.html: $(MDS) ../images/*.png
-	pandoc -o $@ -s -f markdown --toc $(SMART) -t html5 $(MDS)
+	pandoc -o $@ -s -f markdown$(NOSMART_SUFFIX) --toc -t html5 $(MDS)
 
 clean:
 	    rm -f $(DOCS)

=== debian/changelog ===
barman (2.18-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 24 Jan 2022 12:57:27 +0000

barman (2.18-1) unstable; urgency=medium

  * New upstream version 2.18

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 24 Jan 2022 12:57:27 +0000

## barman 2.19~20220624.1338-1~1.gitfe85bbc.pgdg18.04+1

=== debian/changelog ===
barman (2.19~20220624.1338-1~1.gitfe85bbc.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Mar 2022 13:07:49 +0000

barman (2.19-1) unstable; urgency=medium

  * New upstream version 2.19

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 25 Mar 2022 13:07:49 +0000

## barman 2.19~20220624.1338-1~1.gitfe85bbc.pgdg20.04+1

=== debian/changelog ===
barman (2.19~20220624.1338-1~1.gitfe85bbc.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Mar 2022 13:07:49 +0000

## barman 2.19~20220624.1338-1~1.gitfe85bbc.pgdg22.04+1

=== debian/changelog ===
barman (2.19~20220624.1338-1~1.gitfe85bbc.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Mar 2022 13:07:49 +0000

## barman 2.19~20220624.1338-1~1.gitfe85bbc.pgdg90+1

=== debian/changelog ===
barman (2.19~20220624.1338-1~1.gitfe85bbc.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Mar 2022 13:07:49 +0000

## barman 2.19~20220624.1338-1~1.gitfe85bbc.pgdg100+1

=== debian/changelog ===
barman (2.19~20220624.1338-1~1.gitfe85bbc.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Mar 2022 13:07:49 +0000

## barman 2.19~20220624.1338-1~1.gitfe85bbc.pgdg110+1

=== debian/changelog ===
barman (2.19~20220624.1338-1~1.gitfe85bbc.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Mar 2022 13:07:49 +0000

## barman 2.19~20220624.1338-1~1.gitfe85bbc.pgdg120+1

=== debian/changelog ===
barman (2.19~20220624.1338-1~1.gitfe85bbc.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Mar 2022 13:07:49 +0000

## barman 2.19~20220624.1338-1~1.gitfe85bbc.pgdg+1

=== debian/changelog ===
barman (2.19~20220624.1338-1~1.gitfe85bbc.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Mar 2022 13:07:49 +0000

## barman 3.0.1

=== debian/changelog ===
barman (3.0.1-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 28 Jun 2022 09:33:22 +0000

barman (3.0.1-1) unstable; urgency=medium

  * Replace Michel Didier key in upstream signing-keys
  * New upstream version 3.0.1

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 28 Jun 2022 09:33:22 +0000

## barman 3.2.0

=== debian/changelog ===
barman (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0
  * debian/watch: Set version to 4
  * Bump Standards Version to 4.6.1 (no changes)

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 21 Oct 2022 09:51:18 +0000

barman (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 14 Sep 2022 16:29:11 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	       python3-all,
 	       python3-setuptools (>= 0.6b3~),
 	       bash-completion,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: http://www.pgbarman.org
 Vcs-Git: https://salsa.debian.org/postgresql/barman.git
 Vcs-Browser: https://salsa.debian.org/postgresql/barman

## barman 3.4.0

=== doc/Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
     barman-cloud-backup-delete.1 \
     barman-cloud-backup-keep.1 \
     barman-cloud-backup-list.1 \
+    barman-cloud-backup-show.1 \
     barman-cloud-check-wal-archive.1 \
     barman-cloud-wal-archive.1 \
     barman-cloud-restore.1 \
@@ -47,6 +48,9 @@
 barman-cloud-backup-list.1: barman-cloud-backup-list.1.md
 	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
 
+barman-cloud-backup-show.1: barman-cloud-backup-show.1.md
+	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<
+
 barman-cloud-check-wal-archive.1: barman-cloud-check-wal-archive.1.md
 	pandoc -s -f markdown$(nosmart_suffix) -t man -o $@ $<

=== debian/changelog ===
barman (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * Bump Standards Version to 4.6.2 (no changes)

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 27 Jan 2023 09:11:22 +0000

barman (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 15 Dec 2022 10:43:39 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	       python3-all,
 	       python3-setuptools (>= 0.6b3~),
 	       bash-completion,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://www.pgbarman.org
 Vcs-Git: https://salsa.debian.org/postgresql/barman.git
 Vcs-Browser: https://salsa.debian.org/postgresql/barman

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/barman/barman-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## barman 3.6.0

=== debian/changelog ===
barman (3.6.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Marco Nenciarini ]
  * Remove upstream signing-key. PyPI doesn't sign packages anymore.
  * New upstream version 3.6.0

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 15 Jun 2023 16:17:02 +0000

barman (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 31 Mar 2023 14:45:54 +0000

## barman 3.7.0

=== debian/changelog ===
barman (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * Add patch install-barman-cloud-backup-show-man

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 30 Aug 2023 09:02:21 +0000

## barman 3.9.0

=== debian/changelog ===
barman (3.9.0-1) unstable; urgency=medium

  * New upstream version 3.9.0
  * Removed patch install-barman-cloud-backup-show-man (merged upstream)

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 06 Oct 2023 14:32:27 +0000

## barman 3.10.0

=== doc/Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+ifndef DIMAGE
+override DIMAGE =  barman-pandoc
+endif
+
 MANPAGES=barman.1 barman.5 \
 		barman-wal-archive.1 barman-wal-restore.1 \
     barman-cloud-backup.1 \
@@ -69,6 +73,12 @@
 		$(MAKE) -C $$dir clean; \
 	done
 
+build-image:
+	docker build . -t $(DIMAGE)
+
+create-all:
+	docker run --rm --volume "`pwd`:/data" -w="/data" --user `id -u`:`id -g` $(DIMAGE) make clean all
+
 help:
 	@echo "Usage:"
 	@echo "    $$ make"

=== doc/build/Makefile ===
.PHONY: all pdf html clean

PDF = manual.pdf

SPECIAL_HTML = index.html

MULTI_HTML = \
	barman.1.html \
	barman.5.html

SINGLE_HTML = \
	barman-cloud-backup.1.html \
	barman-cloud-backup-delete.1.html \
	barman-cloud-backup-keep.1.html \
	barman-cloud-backup-list.1.html \
	barman-cloud-backup-show.1.html \
	barman-cloud-check-wal-archive.1.html \
	barman-cloud-restore.1.html \
	barman-cloud-wal-archive.1.html \
	barman-cloud-wal-restore.1.html \
	barman-wal-archive.1.html \
	barman-wal-restore.1.html

HTML = $(SPECIAL_HTML) $(MULTI_HTML) $(SINGLE_HTML)

# Detect the pandoc major version (1 or 2)
PANDOC_VERSION = $(shell pandoc --version | awk -F '[ .]+' '/^pandoc/{print $$2; exit}')
ifeq ($(PANDOC_VERSION),1)
	SMART = --smart
	NOSMART_SUFFIX =
else
	SMART =
	NOSMART_SUFFIX = -smart
endif

all : $(HTML) $(PDF)

pdf: $(PDF)

html: $(HTML)

clean:
	rm -f $(PDF) $(HTML)

index.html: manual/??-*.en.md images/*.png
	pandoc -t html5 -f markdown$(NOSMART_SUFFIX) -s --toc --toc-depth 2 --template ./html-templates/template.html --css ./html-templates/template.css -o $@ manual/??-*.en.md
	sed -i 's@\.\./images/@images/@g' $@

manual.pdf: manual/??-*.en.md images/*.png
	cd manual && pandoc -f markdown$(NOSMART_SUFFIX) -s --metadata=datadir:../ --template=../templates/Barman.tex -o ../$@ ??-*.en.md ../templates/default.yaml

$(SINGLE_HTML): %.html: source/%.md images/*.png
	pandoc -t html5 -f markdown$(NOSMART_SUFFIX) -s --toc --toc-depth 2 --template ./html-templates/template.html --css ./html-templates/template.css -o $@ $(<)

%.html: source/%.d/??-*.md images/*.png
	pandoc -t html5 -f markdown$(NOSMART_SUFFIX) -s --toc --toc-depth 2 --template ./html-templates/template.html --css ./html-templates/template.css -o $@ $(<D)/??-*.md

=== debian/changelog ===
barman (3.10.0-1) unstable; urgency=medium

  * New upstream version 3.10.0

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 28 Feb 2024 12:18:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: database
 Priority: optional
 Maintainer: Marco Nenciarini <mnencia@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
 	       dh-python,
 	       python3-all,
-	       python3-setuptools (>= 0.6b3~),
+	       python3-setuptools,
 	       bash-completion,
 Standards-Version: 4.6.2
-Homepage: http://www.pgbarman.org
+Homepage: https://www.pgbarman.org
 Vcs-Git: https://salsa.debian.org/postgresql/barman.git
 Vcs-Browser: https://salsa.debian.org/postgresql/barman
 
@@ -17,7 +17,7 @@
 Depends: python3-barman (=${binary:Version}),
 	 python3-pkg-resources,
 	 adduser,
-	 rsync (>= 3.0.4~),
+	 rsync,
 	 ${misc:Depends},
 	 ${python3:Depends},
 Recommends: openssh-server, openssh-client, postgresql-client
@@ -40,7 +40,7 @@
 Architecture: all
 Depends: python3-barman (=${binary:Version}),
 	 python3-pkg-resources,
-	 rsync (>= 3.0.4~),
+	 rsync,
 	 ${misc:Depends},
 	 ${python3:Depends},
 Recommends: openssh-client, barman-cli-cloud
@@ -63,7 +63,7 @@
 Architecture: all
 Depends: python3-barman (=${binary:Version}),
 	 python3-pkg-resources,
-	 rsync (>= 3.0.4~),
+	 rsync,
 	 ${misc:Depends},
 	 ${python3:Depends},
      python3-boto3

## barman 3.10.1

=== debian/changelog ===
barman (3.10.1-1) unstable; urgency=medium

  * New upstream version 3.10.1

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 17 Jun 2024 14:20:44 +0200

## barman 3.11.1

=== debian/changelog ===
barman (3.11.1-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 23 Aug 2024 09:20:15 +0200

barman (3.11.1-1) unstable; urgency=medium

  * New upstream version 3.11.1

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 23 Aug 2024 09:20:15 +0200

## barman 3.12.1

=== debian/changelog ===
barman (3.12.1-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 09 Dec 2024 15:07:34 +0100

barman (3.12.1-1) unstable; urgency=medium

  * New upstream version 3.12.1

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 09 Dec 2024 15:07:34 +0100

barman (3.12.0-1) unstable; urgency=medium

  * Update the package description to make clear that
    the company maintaining Barman is EDB
  * Move barman-cli-cloud to Suggests section for barman-cli
  * Add python3-setuptools dependency as workaround for Python 3.12
    compatibility
  * New upstream version 3.12.0
  * Update packaging to new documentation layout

 -- Marco Nenciarini <mnencia@debian.org>  Sun, 24 Nov 2024 22:12:13 +0100

## barman 3.13.1

=== debian/changelog ===
barman (3.13.1-1.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Mar 2025 21:42:56 +0100

barman (3.13.1-1) unstable; urgency=medium

  * New upstream version 3.13.1

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 20 Mar 2025 21:42:56 +0100

barman (3.13.0-1) unstable; urgency=medium

  * New upstream version 3.13.0

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 25 Feb 2025 12:13:05 +0100
